﻿using System.Threading;
using System.Windows;
using System.Windows.Documents;

namespace Preview3
{
    /*
     *       _____ _____ _____                _       _
     *      |_   _/  __ \_   _|              (_)     | |
     *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
     *        | | ||      | | / __|/ _ \ / __| |/ _` | |
     *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
     *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
     *                   ___
     *                  |  _|___ ___ ___
     *                  |  _|  _| -_| -_|  LICENSE
     *                  |_| |_| |___|___|
     *
     * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
     *
     * This source code is a part of online courses at IT social
     * network WWW.ICT.SOCIAL
     *
     * Feel free to use it for whatever you want, modify it and share it but
     * don't forget to keep this link in your code.
     *
     * Visit http://www.ict.social/licenses for more information
     */

    /// <summary>
    /// Iteraction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// The class constructor
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            CreateData();
        }


        /// <summary>
        /// Creating data for controls
        /// </summary>
        private void CreateData()
        {
            // Data for TextBlock
            tbkText.Inlines.Add(new Run("WPF - Basic controls\n\n") { FontWeight = FontWeights.Bold });
            string text = "WPF platform (Windows Presentation Foundation) " +
                "provides large variety of already predefined controls. " +
                "In the following text, the most common controls are listed, " +
                "together with their properties and events.";
            tbkText.Inlines.Add(new Run(text));
        }


        /// <summary>
        /// Window closing
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void CloseWindow(object sender, RoutedEventArgs e)
        {
            wdwControls.Close();
        }


        /// <summary>
        /// Starts the sample pointer
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Start(object sender, RoutedEventArgs e)
        {
            pbrPointer.Value = 0;
            for (int i = 0; i < 10; i++)
            {
                pbrPointer.Value += 1;
                Thread.Sleep(100);
                pbrPointer.Refresh();
            }
        }
    }
}
